Cómo solucionar el error: “el sistema de paquetes está roto”

Algunas veces, cuando estás instalando un programa y no se instalan todas las dependencias correctamente, tu sistema de paquetes se corromperá y no podrás instalar nuevos programas o realizar nuevas actualizaciones. Este mini-tuto te ayudará a salir del apriete.


Los pasos a seguir son muy sencillos:

1.- Ir a Sistema > Administración > Gestor de paquetes Synaptic. Seleccioná el botón Filtros personalizables > Roto. Deberían aparecer los paquetes problemáticos, que es necesario desinstalar.

2.- Seleccioná todos los paquetes rotos > clic derecho del mouse > Marcar para desinstalar completamente > hacé clic en el botón Aplicar.


19 comentarios

  1.   Rodolfo Alejandro Ruiz Hurtado dijo

    Hola yo hago lo que propones pero me dice que los paquetes son esenciales para el sistema y si los desinstalo puede quedar inutilizado los paquetes son las librerías libapt-pkg4.12 y libapt-pkg4.12:i386 que puedo hacer??

  2.   Jesus Diaz dijo

    Muchisimas gracias!!

  3.   Jimmy Con Kfeina dijo

    gracias me as ayudado mucho

  4.   quique dijo

    hola no puedo actualizar ni bajar nada ya q me pone El paquete de sistema está roto y no tengo el programa Synaptic. me podeis ayudar gracias

  5.   elvis dijo

    gracias, me lo desinsalo con mucho exito y todo funciuoa normalmente

  6.   juanm dijo

    hice lo que recomiendas y sigue el error cuando voy a actualizar y cuando quiero instalar un programa por gestorno se instala

    1.    LacBlack¨Jack' dijo

      sudo apt-get install -f && sudo apt-get clean && sudo apt-get update && sudo apt-get dist-upgrade

      intenta con eso amigo en la terminal

      1.    Anónimo dijo

        gracias hermano me sirvió de mucho es lo que estaba buscando

  7.   daniel salas dijo

    necesito ayuda con los paquetes no se me intalan dice ke tengo paquetes rotos pero reviso y no tengo ke ago

  8.   Yamil dijo

    Y si no tengo el gestor de paquetes Synaptic? Tengo Ubuntu 12.04 no tengo el gestor de paquetes Synaptic ayuda, soy nuevo y no entiendo una chota

  9.   acalampuca dijo

    1. apreta las teclas ctrl alt t
    2. se abre una terminal, alli tipea: sudo apt-get install synaptic
    3. te pedirá tu password: tipea tu password (no vas a ver lo que tipeas, si no es el correcto te lo vuelve a pedir)
    4. cuando lo hayas ingresado, se instalará synaptic
    5. luego sigue las indicaciones: http://blog.desdelinux.net/como-solucionar-el-error-el-sistema-de-paquetes-esta-roto/

  10.   Anonymus dijo

    hola yo uso canaima y quiero que sepas que mi error es el siguiente: no me funciona ni gestor de paquetes tampoco debian tengo un error llamado canaima-escritorio-gnome

  11.   Abel dijo

    Muchas gracias me sirvió.

  12.   Ivan Delgado dijo

    Hola Amigo tengo un problema con mi computadora ¿como hago que el gestor de paquetes sipnatic me abra bien me dice esto “E: el paquete oracle-java7-installer necesita ser reinstalado pero no se encuentra un archivo para éste
    E: Error interno al abrir el caché (1) por favor informe de este error

  13.   Luigys Toro dijo

    sudo apt-get install -f && sudo apt-get clean && sudo apt-get update && sudo apt-get dist-upgrade

    intenta con eso amigo en la terminal

  14.   CD2 dijo

    Hola,tengo Canaima y me aparece el siguiente error cuando intento eliminar el paquete completamente:E: canaima-escritorio-gnome: El paquete está en un estado muy malo e inconsistente – debe reinstalarlo antes de intentar desinstalarlo.Lo reinstalo y sale esto:E: /var/cache/apt/archives/canaima-plymouth_2.0-11_all.deb: el subproceso script post-removal nuevo devolvió el código de salida de error 2
    E: /var/cache/apt/archives/canaima-estilo-visual-gnome_3.1-23_all.deb: intentando sobreescribir `/usr/share/themes/canaima-metacity/metacity-1/button_prelight.png’, que está también en el paquete canaima-estilo-visual-educativo 1.0+4
    E: /var/cache/apt/archives/canaima-escritorio-gnome_3.1-37_all.deb: el subproceso script post-removal nuevo devolvió el código de salida de error 1.

  15.   H.H dijo

    Hice eso pero no se aplica ya que dice que hay una tubería rota, no se arreglarla ¿Qué hago? Por favor ya llevo como 7 mese con esto y no sé que hacer y en internet no aparece

  16.   viki dijo

    hola me pueden ayudar a mi es que me sale paquetes no confiables ayuda se lo agradeceria

  17.   Anónimo dijo

    hola me sirvio de mucho gracias y que dios te bendiga tu intelegencia.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *